# AfRApay.MateCard
This is the software that runs on the MateCard terminal, powered by an ESP32.

## Setting up dev environment
This project uses PlatformIO. Quick setup guide:
- Install dotnet-sdk (macOS: `brew install dotnet-sdk` / Arch Linux: `pacman -S dotnet-host dotnet-runtime dotnet-sdk dotnet-targeting-pack aspnet-runtime aspnet-targeting-pack`)
- To start the webserver, execute `dotnet run` in this directory.
- Swagger / OpenAPI docs will automatically generate at `/swagger`.
- To test with the MateCard ESP32 code, get your computer's IP and configure the ESP to use `http://<yourip>:5296` as the API base url.
